Bug 802925 - Tool tip in activation key Details screen has markup visible
Tool tip in activation key Details screen has markup visible
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 14:48 EDT by Brad P. Crochet
Modified: 2013-03-27 16:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
HTML tags appeared in the activation key tooltip. This fix removes the HTML tags and the tooltip now appears without the tags.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:42:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of error (109.81 KB, image/png)
2012-03-13 14:48 EDT, Brad P. Crochet
no flags Details
no mark ups are visible now under activation key's tool tip (54.88 KB, image/png)
2012-09-21 01:44 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Brad P. Crochet 2012-03-13 14:48:00 EDT
Created attachment 569755 [details]
Screenshot of error

Description of problem:
Tooltip displays as:

Edit Activation Key enables you to modify the selected activation key. This key may be used during system registration. For example, <BR/><BR/>subscription-manager register --org My Organization --activationkey mydev 

The <BR/><BR/> markup should not be visible.

Version-Release number of selected component (if applicable):
katello-0.1.303-1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Log in to System Engine
2. Click Systems - Activation Keys
3. Click an activation key
4. Go to details tab of act. key if not already there.
  
Happens in both Firefox and Chrome

Screenshot attached
Comment 1 Justin Sherrill 2012-03-30 11:26:51 EDT
katello master:
5378f46a0330bdb375a7b40668859d5cff3559a8
Comment 3 Sachin Ghai 2012-09-21 01:44:07 EDT
Verified with following build:

katello-qpid-client-key-pair-1.0-1.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch


Tooltip has been corrected and no mark ups are visible. See the attached screen shot
Comment 4 Sachin Ghai 2012-09-21 01:44:57 EDT
Created attachment 615283 [details]
no mark ups are visible now under activation key's tool tip
Comment 5 Sachin Ghai 2012-09-21 01:46:44 EDT
Verified with both Firefox and chrome browsers.
Comment 7 errata-xmlrpc 2012-12-04 14:42:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.